﻿<style>

    .swiper-container {
        width: 100%;
        height: 100%;
        margin: 5px 0px
    }

    .swiper-slide {
        text-align: center;
        padding: 0px 10px;
        background: #fff;
        height: 360px;
        width: 100%;
        font-size: 14px;
        /* Center slide text vertically */
        display: -webkit-box;
        display: -ms-flexbox;
        display: -webkit-flex;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        -webkit-justify-content: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        -webkit-align-items: center;
        align-items: center;
        border: 1px solid #e8e8e8;
        transition-delay: 0.5s;
        cursor: pointer
    }


    .product_item video {
        width: 100%;
        height: 100%;
        min-height: 250px;
        padding: 0px 10px
    }

    .product_item h3 {
        font-size: 18px
    }

    .product_item h4 {
        font-size: 14px
    }


   
    



    .view_main {
        background: #fff;
        border-radius: 3px;
        padding: 5px;
    }

    .list-view .view_item {
        background: #fff;
        border: 1px solid #e2efe1;
        margin: 10px;
        padding: 0px 5px;
        display: flex;
        align-items: center;
    }

    .view_item :hover {
        background: #ededed;
    }

    .list-view .view_item:last-child {
        margin-bottom: 0;
    }

    .list-view .view_item .vi_left {
        margin-right: 25px;
    }

    .list-view .view_item .vi_right {
        width: 100%
    }

    .videolist {
        width: 90%;
    }


    .view_item .title {
        font-weight: 600;
        font-size: 1em
    }

    .view_item .content {
        margin: 5px 0;
        font-size: 14px;
        line-height: 22px;
        font-weight: 200;
    }
</style>


<div style="background:url(../../../Assets/apphome/images/top_bg002.jpg)">
    <div class="pading_top"></div>
    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1>THƯ VIỆN VIDEO</h1>
            </div>
        </div>
    </div>
    <br />
    <div class="container" onload="init()">
        <div class="row" style="min-height:500px">
            <div class="col-md-12 col-sm-12 col-lg-7  col-xl-7">

                <!--<h2>Tiêu đề Video</h2>-->
                <video id="my-video"
                       class="video-js"
                       controls
                       muted
                       style="width:100%;height:90%;max-height:500px"
                       poster="../../../Assets/apphome/images/chinhanhrachgia.jpg">
                    <source id="mp4_src" ng-src="{{linkvideo}}" type="video/mp4" />



                </video>

            </div>
            <div class="col-md-12 col-sm-12 col-lg-5  col-xl-5">
                <div style="background:#ffd39c;text-align:center;line-height:5px ">
                    <h2 style="font-weight: bold">Danh sách video</h2>
                </div>
                <div class="view_main">
                    <div class="view_wrap list-view" style="display: block;">
                        <div class="view_item" ng-repeat="i in allvideo|limitTo:4" onclick="changevideo(id)" id="{{i.DuongDan}}" style="cursor:grab">

                            <div class="vi_left">
                                <video style="pointer-events: none" class="videolist" controls muted>
                                    <source src="{{i.DuongDan}}" type="video/mp4" />
                                </video>
                            </div>
                            <div class="vi_right">
                                <p class="title">{{i.TieuDe}}</p>
                                <p class="content" style="color:red">380.000 / con</p>
                                <p class="content" style="color: #1837cc">Nội dung khuyến mãi</p>

                            </div>
                        </div>

                    </div>


                </div>

            </div>
        </div>


    </div>
    <div class="pading_top"></div>
    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1>VIDEO NỔI BẬT</h1>
            </div>
        </div>
    </div>
    <div class=" container ">
        <!-- Swiper -->
        <div class="swiper-container video">
            <div class="swiper-wrapper">

                <div class="swiper-slide" ng-repeat="item in allvideo" onclick="changevideo(id)" id="{{item.DuongDan}}">

                    <div class="product_item">
                        <span>
                            <video class="videolist " controls muted>
                                <source src="{{item.DuongDan}}">
                            </video>
                            <h3 style="color:#1654aa">Chi Nhánh Rạch Giá</h3>
                            <h4>Địa chỉ: 274 Nguyễn trung trực ,TP.Rạch Giá KG</h4>
                            <h5 style="color:red">Hotline: 19001966</h5>
                            <h4>Website: https://vitquayso1.vn</h4>
                        </span>

                    </div>

                </div>



            </div>
            <!-- Add Pagination -->
            <!--<div class="swiper-pagination"></div>-->
            <!-- Add Arrows -->
            <div class="swiper-button-next"></div>
            <div class="swiper-button-prev"></div>
        </div>

        <!-- Swiper JS -->

    </div>




</div>

<script>


   
    



      
    

    function changevideo(i) {
      
        document.getElementById("mp4_src").src = i;
        document.getElementById("my-video").load();
        document.getElementById("my-video").play();
      
    }
</script>

